%define major 1
%define pcscspy_major 0
%define libname %mklibname pcsclite %{major}
%define pcscspy_libname %mklibname pcscspy %{pcscspy_major}
%define develname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.8.7
Release:	%mkrel 3
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/3842/pcsc-lite-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/3843/pcsc-lite-%{version}.tar.bz2.asc

BuildRequires:	doxygen
BuildRequires:	udev-devel

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:	%{libname} = %{version}

%description
The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
in a very small form factor for communicating to smartcards and
readers.  PC/SC Lite uses the same winscard API as used under
Windows(R).  This package includes the PC/SC Lite daemon, a resource
manager that coordinates communications with smart card readers and
smart cards that are connected to the system, as well as other command
line tools.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	pcsc-spy
Summary:	PCSC API spy
Group:		System/Libraries

Requires:	python
Requires:	pcsc-lite
Requires:	%{pcscspy_libname} = %{version}

%description -n	pcsc-spy
The purpose of pcsc-spy is to spy all the calls between the PC/SC client
and the PC/SC library.

%package -n	%{pcscspy_libname}
Summary:	PCSC Smart Card Library
Group:		System/Libraries

%description -n	%{pcscspy_libname}
Supporting library for the PC/SC spy tool.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pcscspy_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package	doc
Summary:	PC/SC Lite developer documentation
Group:		Development/Other
Buildarch:	noarch

%description	doc
%{summary}.


%prep
%setup -q

%build
%serverbuild
%configure2_5x --disable-static \
	--enable-ipcdir=/run \
	--enable-usbdropdir=%{_libdir}/pcsc/drivers \
	--with-systemdsystemunitdir=%{_unitdir}

%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%makeinstall_std

rm -f %{buildroot}/%{_libdir}/*.la

# Create empty directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers

%post
%_post_service pcscd

%preun
%_preun_service pcscd

%files
%doc AUTHORS DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%{_unitdir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%files -n %{libname}
%doc COPYING
%{_libdir}/libpcsc*.so.%{major}*

%files -n pcsc-spy
%{_bindir}/pcsc-spy
%{_mandir}/man1/pcsc-spy.1.*

%files -n %{pcscspy_libname}
%{_libdir}/libpcscspy.so.%{pcscspy_major}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc doc/api/ doc/example/pcsc_demo.c COPYING


%changelog

* Sat Feb 02 2013 sander85 <sander85> 1.8.7-3.mga3
+ Revision: 394089
- Refactor the spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 1.8.7-2.mga3
+ Revision: 362671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 sander85 <sander85> 1.8.7-1.mga3
+ Revision: 322726
- New version: 1.8.7

* Thu Aug 30 2012 sander85 <sander85> 1.8.6-1.mga3
+ Revision: 285873
- New version: 1.8.6

* Mon Aug 06 2012 sander85 <sander85> 1.8.5-1.mga3
+ Revision: 279259
- New version: 1.8.5

* Sat Jul 21 2012 sander85 <sander85> 1.8.4-1.mga3
+ Revision: 273115
- clean up systemd hacks, they are not needed anymore
- new version: 1.8.4

* Sat Jun 30 2012 colin <colin> 1.8.3-2.mga3
+ Revision: 265628
- Rebuild for new libudev major

* Fri Jun 15 2012 guillomovitch <guillomovitch> 1.8.3-1.mga3
+ Revision: 260782
- new version
- drop sysinit support
- drop unrecognized configure option

* Sat Apr 28 2012 tmb <tmb> 1.8.2-2.mga2
+ Revision: 233837
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Jan 18 2012 sander85 <sander85> 1.8.2-1.mga2
+ Revision: 197970
- new version: 1.8.2

* Sat Jan 14 2012 sander85 <sander85> 1.8.1-5.mga2
+ Revision: 195927
- drop unneeded requires

* Fri Jan 13 2012 sander85 <sander85> 1.8.1-4.mga2
+ Revision: 195797
- move libpcscspy.so into devel

* Fri Jan 13 2012 sander85 <sander85> 1.8.1-3.mga2
+ Revision: 195779
- split libpcscspy into its own package

* Sat Jan 07 2012 sander85 <sander85> 1.8.1-2.mga2
+ Revision: 193014
- better detection of systemd usage
- update description

* Sat Jan 07 2012 sander85 <sander85> 1.8.1-1.mga2
+ Revision: 192976
- fix lsb-comment-block
- new version (1.8.1 with systemd support)

* Sun Jun 26 2011 sander85 <sander85> 1.7.4-2.mga2
+ Revision: 114056
- add some empty directories + fix sources

* Sun Jun 26 2011 sander85 <sander85> 1.7.4-1.mga2
+ Revision: 114051
- add doc + few minor changes
- drop *.la files
- clean spec; nev version: 1.7.4

* Thu Feb 10 2011 spuhler <spuhler> 1.6.6-1.mga1
+ Revision: 49696
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pcsc-lite

